function [ result, A ] = B( n, z, A )
%B computes the ratio B_n(z) using A_n(z) and psi_n(z)*zeta_n(z).
global M
persistent old_n old_B
if isempty(old_n)
    old_n = 0;
end

if old_n == 0
    old_B = complex(0.0, 1.0);
end

if n > length(A)
    A = A_all_n(z, M);
end

if n == old_n + 1
    old_B = A(n + 1) + complex(0.0, 1.0)/psi_zeta(n, z, old_B, A);
    if n == M
        old_n = 0;
    else
        old_n = n;
    end
elseif n ~= old_n && n ~= M
    disp('error in computation of B_n');
end

result = old_B;
end

