function [ a, b ] = LorenzMie_ab( n, psize, n_p, n_med )
%LorenzMie_ab computes a_n and b_n for a particle of given properties.
%   Input is n, particle size number (psize = 2*Pi*radius/wavelength),
%   complex refractive index of the particle n_p, and complex refractive
%   index of the host medium n_med.
global A_p A_med M
% persistent old_n % Matlab error: persistent variables should init to [], but init to 1
% if isempty(old_n)
%     old_n = 0;
% end
% 
% if n ~= old_n + 1
%     disp('Error: The Lorenz-Mie coefficients must be computed');
%     disp('consequtively starting from n=1 and counting upwards');
%     disp('to n=terms_to_sum(n_med*psize).');
%     return;
% end
% 
% if n == M
%     old_n = 0;
% else
%     old_n = n;
% end

z_med = n_med*psize;
B_n = B(n, z_med, A_med);
R_n = R(n, z_med, A_med);

i = n + 1;
a = R_n*(n_med*A_p(i) - n_p*A_med(i))/(n_med*A_p(i) - n_p*B_n);
b = R_n*(n_p*A_p(i) - n_med*A_med(i))/(n_p*A_p(i) - n_med*B_n);
end

