function Out=QuanFry(la, T, S)
% QuanFry(la, T, S) - takes wavelength, temperature, and salinity and 
% computes the index of refraction of water/brine using the empirical 
% formula for the refractive index of water/brine by Quan and Fry [1995].
c = [1.779e-4 -1.05e-6 1.6e-8 -2.02e-6 15.868 0.01155 -0.00423 -4382 1.1455e6];
Out = 1.31405 + (polyval(c(3:-1:1), T)).*S + c(4)*T.*T + (c(5) + c(6)*S + c(7)*T)/la + c(8)/(la*la) + c(9)/(la*la*la);