function [ result, A ] = R( n, z, A )
%R computes the ratio psi_n(z)/zeta_n(z) using A_n(z) and B_n(z).
global M
persistent old_n old_R
if isempty(old_n)
    old_n = 0;
end

if old_n == 0
    old_R = 0.5*(1.0 - exp(complex(2.0*imag(z), -2.0*real(z))));
end

if n > length(A)
    A = A_all_n(z, M);
end

if n == old_n + 1
    n_z = n/z;
    old_R = old_R*(B(n, z, A) + n_z)/(A(n + 1) + n_z);
    if n == M
        old_n = 0;
    else
        old_n = n;
    end
else
    disp('error in computation of R_n');
end

result = old_R;
end

