function n_fat = WJ_milkfat_20dC( lambda )
%WJ_milkfat_20dC(lambda) Refractive index of milkfat at wavelength lambda.
%   Empirical formula reported by Walstra and Jenness [1984]. Requires a
%   measured refractive index at the desired temperature. This formula
%   uses a refractive index measured at 20 degrees Celsius by Michalski et
%   al. [2001].
lambda_sqr = lambda*lambda;
n_fat = sqrt((5.73*lambda_sqr - 0.03)/(2.73*lambda_sqr - 0.03));
end

