function [ result ] = psi_zeta( n, z, old_B, A )
%psi_zeta computes psi_n(z)*zeta_n(z) using B_{n-1}(z) and A_{n-1}(z).
global M
persistent old_n old_psi_zeta
if isempty(old_n)
    old_n = 0;
end

if old_n == 0
    old_psi_zeta = 0.5*(1.0 - exp(complex(-2.0*imag(z), 2.0*real(z))));
end

if n == old_n + 1
    n_z = n/z;
    old_psi_zeta = old_psi_zeta*(n_z - A(n))*(n_z - old_B);
    if n == M
        old_n = 0;
    else
        old_n = n;
    end
elseif n ~= old_n && n ~= M
    disp('error in computation of psi_n*zeta_n');
end
        
result = old_psi_zeta;
end

